[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TIconOptions.AutoArrange

Indicates whether icons in a list view can be automatically arranged.

## Declaration

Source position: comctrls.pp line 1009

`published property TIconOptions.AutoArrange : Boolean read GetAutoArrange write SetAutoArrange default False;`

## Description

AutoArrange is a Boolean property which indicates if icons in a list view control can be automatically arranged when items are added to the control. The default value for the property is False.

AutoArrange is used when the list view uses the vsIcon or vsSmallIcon view styles.

## See also

TCustomListView.ViewStyle |  | Sets one of ListView layouts: List (simple column), Report (few columns with full width), Icon (big icons), Small Icon (small icons, 16x16).
TViewStyle |  | Represents the view styles available for the items in a list view control.